<?php
namespace Claromentis\OAuth2;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_9dd6622bc2a92" . "6e02c1cb73fbcf" . "9302c" => base64_decode("T0F1dGgyIC0gcmVxdWVzdC" . "Bjb250YWlucyB0b2tlbjog"), "_bfca39862" . "6e2648b180" . "3e027f7e34" . "7de" => base64_decode("T0F1dGgyIGVy" . "cm9yOiA="), "_70809333a0f254acf7a1ad0c7dad" . "d46b" => base64_decode("O" . "i" . "A" . "="), "_fc9d7314a9d9958d8fa0a403ba" . "8ff197" => base64_decode("Z2V0X2NsY" . "XNz"), "_c69e6552374e0028da2" . "b1bcff2b40629" => base64_decode("T0F1dGgy" . "IGV4Y2Vw" . "dGlvbiA="), "_d58d9d29845f0d3d62e53f8e8726" . "0f39" => base64_decode("cHNyNy5wc3Jf" . "ZmFjdG9yeQ=="), "_5b9126ef1203adad78ba3bb447" . "09b439" => base64_decode("b2F1dGhfdXNlcl9pZ" . "A=="));
use Claromentis\Core\Security\AuthenticatorInterface;
use Claromentis\Core\Security\Exception\BadCredentialsException;
use Claromentis\Core\Security\SessionSecurityContext;
use League\OAuth2\Server\Exception\OAuthServerException;
use Symfony\Bridge\PsrHttpMessage\Factory\DiactorosFactory;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Psr\Log\LoggerInterface;






class OAuth2Authenticator implements AuthenticatorInterface
{
    private $server;
    private $logger;
    public function __construct(ResourceServer $_9892bd107000e49a32f2013f56e71f64, LoggerInterface $logger = null)
    {
        $this->server = $_9892bd107000e49a32f2013f56e71f64;
        $this->logger = $logger;
    }
    
    
    
    
    
    
    
    
    
    
    
    public function Handle(GetResponseEvent $event, SessionSecurityContext $_a34812c777e8a5777cd0e658b92f0ab2)
    {
        global $g_application;
        try {
            $request = $event->getRequest();
            
            
            $_6eec82564352e2a97cddf7a7b6ad9a41 = $g_application[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d58d9d29845f0d3d62e53f8" . "e87260f39"]];
            $request = $_6eec82564352e2a97cddf7a7b6ad9a41->createRequest($request);
            $this->server->setRequest($request);
            $_9fafdb4f169d9de8376037b65724825c = $this->server->determineAccessToken(false);
            $this->logger->debug($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_9dd6622bc2a92" . "6e02c1cb73fbcf" . "9302c"] . $_9fafdb4f169d9de8376037b65724825c);
        } catch (OAuthServerException $e) {
            
            
            return;
        }
        try {
            
            
            $request = $this->server->getRequest();
            $user_id = $request->getAttribute($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5b9126ef120" . "3adad78ba3bb" . "44709b439"]);
            $_a34812c777e8a5777cd0e658b92f0ab2->SetUserId($user_id);
        } catch (OAuthServerException $e) {
            throw new BadCredentialsException($e->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_bfca398626e" . "2648b1803e02" . "7f7e347de"] . $e->getMessage(), $e->getCode(), $e);
        }
    }
    private function HandleException(OAuthException $e)
    {
        if ($e instanceof \League\OAuth2\Server\Exception\InvalidRequestException) {
            throw (new BadCredentialsException($e->getMessage(), $e->getCode(), $e))->setAuditMessage($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_bfca398626" . "e2648b1803e" . "027f7e347de"] . $e->getMessage());
        }
        if ($e instanceof \League\OAuth2\Server\Exception\AccessDeniedException) {
            throw new AccessDeniedException($e->getMessage(), 403, $e);
        }
        if ($e instanceof \League\OAuth2\Server\Exception\InvalidCredentialsException) {
            throw (new BadCredentialsException($e->getMessage(), $e->getCode(), $e))->setAuditMessage($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_bfca398626" . "e2648b1803e" . "027f7e347de"] . $e->getMessage());
        }
        throw (new AuthenticationException($e->getMessage(), $e->getCode(), $e))->setAuditMessage($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_c69e6552374e0028da2b1bcf" . "f2b40629"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_fc9d7314a9d9958d8fa0a403ba8ff1" . "97"]($e) . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_70809333a0f254acf7a1ad0c" . "7dadd46b"] . $e->getMessage());
    }
}